summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-08-01 15:33:10 +0200
committerMichał Górny <mgorny@gentoo.org>2018-08-01 15:34:21 +0200
commit34ad2d0e9058bd186d3239d8d4401678ddde8642 (patch)
treec95c71ab2fb578eaeae2724dcfc907454a417498
parentdev-python/pypy-bin: Disable more problematic tests (diff)
downloadgentoo-34ad2d0e9058bd186d3239d8d4401678ddde8642.tar.gz
gentoo-34ad2d0e9058bd186d3239d8d4401678ddde8642.tar.bz2
gentoo-34ad2d0e9058bd186d3239d8d4401678ddde8642.zip
dev-python/pypy: Disable more problematic tests
Bug: https://bugs.gentoo.org/654242
-rw-r--r--dev-python/pypy/pypy-6.0.0.ebuild13
-rw-r--r--dev-python/pypy/pypy-9999.ebuild13
2 files changed, 24 insertions, 2 deletions
diff --git a/dev-python/pypy/pypy-6.0.0.ebuild b/dev-python/pypy/pypy-6.0.0.ebuild
index 63c1511a472..3f036775348 100644
--- a/dev-python/pypy/pypy-6.0.0.ebuild
+++ b/dev-python/pypy/pypy-6.0.0.ebuild
@@ -228,7 +228,18 @@ src_test() {
# (unset)
local -x PYTHONDONTWRITEBYTECODE=
- ./pypy-c ./pypy/test_all.py --pypy=./pypy-c -vv lib-python || die
+ local ignored_tests=(
+ # network
+ --ignore=lib-python/2.7/test/test_urllibnet.py
+ --ignore=lib-python/2.7/test/test_urllib2net.py
+ # lots of free space
+ --ignore=lib-python/2.7/test/test_zipfile64.py
+ # no module named 'worker' -- a lot
+ --ignore=lib-python/2.7/test/test_xpickle.py
+ )
+
+ ./pypy-c ./pypy/test_all.py --pypy=./pypy-c -vv \
+ "${ignored_tests[@]}" lib-python || die
}
src_install() {
diff --git a/dev-python/pypy/pypy-9999.ebuild b/dev-python/pypy/pypy-9999.ebuild
index d3d73e720f2..11f050a7d0a 100644
--- a/dev-python/pypy/pypy-9999.ebuild
+++ b/dev-python/pypy/pypy-9999.ebuild
@@ -234,7 +234,18 @@ src_test() {
# (unset)
local -x PYTHONDONTWRITEBYTECODE=
- ./pypy-c ./pypy/test_all.py --pypy=./pypy-c -vv lib-python || die
+ local ignored_tests=(
+ # network
+ --ignore=lib-python/2.7/test/test_urllibnet.py
+ --ignore=lib-python/2.7/test/test_urllib2net.py
+ # lots of free space
+ --ignore=lib-python/2.7/test/test_zipfile64.py
+ # no module named 'worker' -- a lot
+ --ignore=lib-python/2.7/test/test_xpickle.py
+ )
+
+ ./pypy-c ./pypy/test_all.py --pypy=./pypy-c -vv \
+ "${ignored_tests[@]}" lib-python || die
}
src_install() {